Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class Tag

    java.lang.Object
      javax.faces.view.facelets.Tag

    public final class Tag

extends java.lang.Object

The runtime must create an instance of this class for each element in the Facelets XHTML view. A `TagConfig` subinterface instance is responsible for providing an instance of `Tag` to the `TagHandler` instance that is passed the `TagConfig` in its constructor.

Since:
  2.0

Constructor Summary
`Tag(Location location, java.lang.String namespace, java.lang.String localName, java.lang.String qName, TagAttributes attributes)`
`Tag(Tag orig, TagAttributes attributes)`

Method Summary
`TagAttributes` | `getAttributes()` Return an object encapsulating the `TagAttributes` specified on this element in the view.
`java.lang.String` | `getLocalName()` Return the XML local name of the tag.
`Location` | `getLocation()` Return the `Location` of this `Tag` instance in the Facelet view.
`java.lang.String` | `getNamespace()` Return the resolved XML Namespace for this tag in the Facelets view.
`java.lang.String` | `getQName()` Return the XML qualified name for this tag.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tag

    public Tag(Location location,
               java.lang.String namespace,
               java.lang.String localName,
               java.lang.String qName,
               TagAttributes attributes)

### Tag

    public Tag(Tag orig,
               TagAttributes attributes)

Method Detail

### getAttributes

    public TagAttributes getAttributes()

  Return an object encapsulating the `TagAttributes` specified on this element in the view.

### getLocalName

    public java.lang.String getLocalName()

  Return the XML local name of the tag. For example, <my:tag /> would be "tag".

### getLocation

    public Location getLocation()

  Return the `Location` of this `Tag` instance in the Facelet view.

### getNamespace

    public java.lang.String getNamespace()

  Return the resolved XML Namespace for this tag in the Facelets view.

### getQName

    public java.lang.String getQName()

  Return the XML qualified name for this tag. For example, <my:tag /> would be "my:tag".

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.